class AddLoginsToPCustomers < ActiveRecord::Migration
  def change
    add_column :p_customers, :account_validated, :boolean, :default => true
    add_column :p_customers, :account_validated_at, :datetime
    add_column :p_customers, :locked_at, :datetime
    add_column :p_customers, :lock, :boolean, :default => false
    add_column :p_customers, :last_sign_in_ip, :string
    add_column :p_customers, :current_sign_in_ip, :string
    add_column :p_customers, :last_sign_in_at, :datetime
    add_column :p_customers, :current_sign_in_at, :datetime
    add_column :p_customers, :sign_in_count, :integer
    add_column :p_customers, :remember_created_at, :datetime
    add_column :p_customers, :reset_password_sent_at, :datetime
    add_column :p_customers, :reset_password_token, :string
    add_column :p_customers, :password_digest, :string
    add_column :p_customers, :email, :string
    add_column :p_customers, :token, :string
  end
end
